# Uses of Class
org.apache.commons.math3.linear.OpenMapRealVector

Packages that use OpenMapRealVector
Package
Description
org.apache.commons.math3.linear
Linear algebra support.

## Uses of OpenMapRealVector in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that return OpenMapRealVector
Modifier and Type
Method
Description
`OpenMapRealVector`
OpenMapRealVector.`add(OpenMapRealVector v)`
Optimized method to add two OpenMapRealVectors.
`OpenMapRealVector`
OpenMapRealVector.`append(double d)`
Construct a new vector by appending a double to this vector.
`OpenMapRealVector`
OpenMapRealVector.`append(OpenMapRealVector v)`
Optimized method to append a OpenMapRealVector.
`OpenMapRealVector`
OpenMapRealVector.`append(RealVector v)`
Construct a new vector by appending a vector to this vector.
`OpenMapRealVector`
OpenMapRealVector.`copy()`
Returns a (deep) copy of this vector.
`OpenMapRealVector`
OpenMapRealVector.`ebeDivide(RealVector v)`
Element-by-element division.
`OpenMapRealVector`
OpenMapRealVector.`ebeMultiply(RealVector v)`
Element-by-element multiplication.
`OpenMapRealVector`
OpenMapRealVector.`getSubVector(int index, int n)`
Get a subvector from consecutive elements.
`OpenMapRealVector`
OpenMapRealVector.`mapAdd(double d)`
Add a value to each entry.
`OpenMapRealVector`
OpenMapRealVector.`mapAddToSelf(double d)`
Add a value to each entry.
`OpenMapRealVector`
OpenMapRealVector.`subtract(OpenMapRealVector v)`
Optimized method to subtract OpenMapRealVectors.
`OpenMapRealVector`
OpenMapRealVector.`unitVector()`
Creates a unit vector pointing in the direction of this vector.
Methods in org.apache.commons.math3.linear with parameters of type OpenMapRealVector
Modifier and Type
Method
Description
`OpenMapRealVector`
OpenMapRealVector.`add(OpenMapRealVector v)`
Optimized method to add two OpenMapRealVectors.
`OpenMapRealVector`
OpenMapRealVector.`append(OpenMapRealVector v)`
Optimized method to append a OpenMapRealVector.
`double`
OpenMapRealVector.`dotProduct(OpenMapRealVector v)`
Deprecated.
as of 3.1 (to be removed in 4.0).
`double`
OpenMapRealVector.`getDistance(OpenMapRealVector v)`
Optimized method to compute distance.
`double`
OpenMapRealVector.`getL1Distance(OpenMapRealVector v)`
Distance between two vectors.
`OpenMapRealVector`
OpenMapRealVector.`subtract(OpenMapRealVector v)`
Optimized method to subtract OpenMapRealVectors.
Constructors in org.apache.commons.math3.linear with parameters of type OpenMapRealVector
Modifier
Constructor
Description
``
`OpenMapRealVector(OpenMapRealVector v)`
Copy constructor.
`protected`
`OpenMapRealVector(OpenMapRealVector v, int resize)`
Build a resized vector, for use with append.